# Uses of Interface
org.apache.commons.math3.ode.events.FieldEventHandler

Packages that use FieldEventHandler
Package
Description
org.apache.commons.math3.ode
This package provides classes to solve Ordinary Differential Equations problems.
org.apache.commons.math3.ode.events
This package provides classes to handle discrete events occurring during Ordinary Differential Equations integration.

## Uses of FieldEventHandler in org.apache.commons.math3.ode

Methods in org.apache.commons.math3.ode that return types with arguments of type FieldEventHandler
Modifier and Type
Method
Description
`Collection<FieldEventHandler<T>>`
AbstractFieldIntegrator.`getEventHandlers()`
Get all the event handlers that have been added to the integrator.
`Collection<FieldEventHandler<T>>`
FirstOrderFieldIntegrator.`getEventHandlers()`
Get all the event handlers that have been added to the integrator.
Methods in org.apache.commons.math3.ode with parameters of type FieldEventHandler
Modifier and Type
Method
Description
`void`
AbstractFieldIntegrator.`addEventHandler(FieldEventHandler<T> handler, double maxCheckInterval, double convergence, int maxIterationCount)`
Add an event handler to the integrator.
`void`
AbstractFieldIntegrator.`addEventHandler(FieldEventHandler<T> handler, double maxCheckInterval, double convergence, int maxIterationCount, BracketedRealFieldUnivariateSolver<T> solver)`
Add an event handler to the integrator.
`void`
FirstOrderFieldIntegrator.`addEventHandler(FieldEventHandler<T> handler, double maxCheckInterval, double convergence, int maxIterationCount)`
Add an event handler to the integrator.
`void`
FirstOrderFieldIntegrator.`addEventHandler(FieldEventHandler<T> handler, double maxCheckInterval, double convergence, int maxIterationCount, BracketedRealFieldUnivariateSolver<T> solver)`
Add an event handler to the integrator.

## Uses of FieldEventHandler in org.apache.commons.math3.ode.events

Methods in org.apache.commons.math3.ode.events that return FieldEventHandler
Modifier and Type
Method
Description
`FieldEventHandler<T>`
FieldEventState.`getEventHandler()`
Get the underlying event handler.
Constructors in org.apache.commons.math3.ode.events with parameters of type FieldEventHandler
Modifier
Constructor
Description
``
`FieldEventState(FieldEventHandler<T> handler, double maxCheckInterval, T convergence, int maxIterationCount, BracketedRealFieldUnivariateSolver<T> solver)`
Simple constructor.